POST
/v1/mgmt/group/all

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId?string

Load all external groups for a tenant, using a valid management key.

This API endpoint allows administrators to load all external groups that are associated to a tenant. The response contains an array of group objects including the group id, display name, and an array of associated members.

Next Steps

Administrators can review this information and make changes within their IdP or if necessary, Create a SCIM Group, Update an Existing SCIM Group (adding new members), or Delete an Existing SCIM Group

See also

  • See SSO Configuration for further details on managing SSO Configurations on a tenant.
curl -X POST "https://api.descope.com/v1/mgmt/group/all" \  -H "Content-Type: application/json" \  -d '{}'
{  "groups": [    {      "id": "string",      "display": "string",      "members": [        {          "loginId": "string",          "userId": "string",          "display": "string"        }      ]    }  ]}
export interface Response {groups?: {id?: stringdisplay?: stringmembers?: GroupMember[]}[]}export interface GroupMember {loginId?: stringuserId?: stringdisplay?: string}
Was this helpful?